"""Vdbench errors."""


class Error(Exception):
    """Base vdbench error."""


class VdbenchError(Error):
    """Generic vdbench error."""


class VdbenchLogFileMissingError(Error):
    """Missing the vdbench_master.log file."""


class VdbenchScraperError(Error):
    """Error when scraping vdbench log file."""


class VdbenchRuntimeError(Error):
    """Error hit during vdbench runtime."""


class StreamHandlerDestroyed(Error):
    """The stream handler was used after it was destroyed."""
