"""Vdbench _parm file constants."""

# General
HD = 'hd'
SD = 'sd'
WD = 'wd'
RD = 'rd'

# HD constants
SYSTEM = 'system'
JVMS = 'jvms'
VDBENCH = 'vdbench'
SHELL = 'shell'
USER = 'user'
MOUNT = 'mount'

# RD constants
IO_RATE = 'iorate'
IO_RATE_CURVE = 'curve'
IO_RATE_MAX = 'max'
IO_DISTRIBUTION = 'distribution'
MAX_DATA = 'maxdata'
ELAPSED = 'elapsed'
INTERVAL = 'interval'
WARMUP = 'warmup'
FOR_READ_PERC = 'forrdpct'
FOR_SEEK_PERC = 'forseekpct'
FOR_XFERSIZE = 'forxfersize'
FOR_THREADS = 'forthreads'

# WD constants
PRIORITY = 'priority'
READ_PERC = 'rdpct'
READ_HIT_PERC = 'rhpct'
WRITE_HIT_PERC = 'whpct'
SEEK_PERC = 'seekpct'
SKEW = 'skew'
STRIDE = 'stride'
XFERSIZE = 'xfersize'

# SD constants
LUN = 'lun'
HOST = 'host'
SIZE = 'size'
RANGE = 'range'
THREADS = 'threads'
HIT_AREA = 'hitarea'
JOURNAL = 'journal'
OFFSET = 'offset'
ALIGN = 'align'
OPEN_FLAGS = 'openflags'
STREAMS = 'streams'

# GP constants
DATA_ERRORS = 'data_errors'
FORCE_ERROR_AFTER = 'force_error_after'
DEDUP_RATIO = 'dedupratio'
DEDUP_UNIT = 'dedupunit'
DEDUP_SETS = 'dedupsets'

MONITOR = 'monitor'
PORT = 'port'
PATTERN_PATH = 'pattern'
COMPRESSION_RATIO = 'compratio'
REPORT = 'report'
HISTOGRAM = 'histogram'
VALIDATE = 'validate'

WINDOWS = 'Windows'
WIN_2K8 = 'Windows Server 2008 R2'
WIN_2K12 = 'Windows Server 2012 R2'
WIN_OS = [WINDOWS, WIN_2K8, WIN_2K12]

# locations
LOCATION = 'location'
LOCATION_BOULDER = 'boulder'
LOCATION_VALMONT = 'valmont'
LOCATION_ZAYO = 'ZDC'
LOCATION_DENVER = 'DEN'
LOCATION_PEARL_WEST = 'PW'
LOCATION_WIC = 'WIC'
ALL_LOCATIONS = [
    LOCATION_BOULDER,
    LOCATION_VALMONT,
    LOCATION_ZAYO,
    LOCATION_DENVER,
    LOCATION_PEARL_WEST,
    LOCATION_WIC
]
